<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="GetRates">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="rateDate" type="s:dateTime" />
            <s:element minOccurs="0" maxOccurs="1" name="rateCurrency" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRatesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRatesResult">
              <s:complexType mixed="true">
                <s:sequence>
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetRatesSoapIn">
    <wsdl:part name="parameters" element="tns:GetRates" />
  </wsdl:message>
  <wsdl:message name="GetRatesSoapOut">
    <wsdl:part name="parameters" element="tns:GetRatesResponse" />
  </wsdl:message>
  <wsdl:portType name="ExchangeRatesSoap">
    <wsdl:operation name="GetRates">
      <wsdl:input message="tns:GetRatesSoapIn" />
      <wsdl:output message="tns:GetRatesSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ExchangeRatesSoap" type="tns:ExchangeRatesSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRates">
      <soap:operation soapAction="http://tempuri.org/GetRates" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ExchangeRatesSoap12" type="tns:ExchangeRatesSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRates">
      <soap12:operation soapAction="http://tempuri.org/GetRates" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ExchangeRates">
    <wsdl:port name="ExchangeRatesSoap" binding="tns:ExchangeRatesSoap">
      <soap:address location="http://conves.no-ip.net:8000/webservice/ExchangeRates.asmx" />
    </wsdl:port>
    <wsdl:port name="ExchangeRatesSoap12" binding="tns:ExchangeRatesSoap12">
      <soap12:address location="http://conves.no-ip.net:8000/webservice/ExchangeRates.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>